Enable OCSP stapling on the ssl enabled web services

Oct 09, 2016 12:52 PM - Andrea Dell'Amico

Status: Closed Start date: Oct 09, 2016

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: SSL everywhere   

Infrastructure: Development, Pre-Production,

Production

  

Description

We can do this only on Ubuntu >= 14.04, because apache 2.4 and nginx >= 1.3 are required.

Some links:

https://wiki.apache.org/httpd/OCSPStapling

https://www.digitalocean.com/community/tutorials/how-to-configure-ocsp-stapling-on-apache-and-nginx

https://raymii.org/s/tutorials/OCSP_Stapling_on_Apache2.html

https://kura.io/2014/07/02/haproxy-ocsp-stapling/

http://www.jinnko.org/2015/03/ocsp-stapling-with-haproxy.html

https://github.com/pierky/haproxy-ocsp-stapling-updater

History

#1 - Jul 10, 2017 06:40 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 40

OCSP stapling is already active on all our nginx configurations on the supported distributions (Ubuntu >= 14.04).

#2 - Jul 10, 2017 07:22 PM - Andrea Dell'Amico

- % Done changed from 40 to 80

OCSP stapling enabled on the most important apache services (data, access, redmine).

#3 - Jul 11, 2017 06:31 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Enabled on the main load balancer, too.
